Paren {base} | R Documentation

## Parentheses and Braces

### Description

Open parenthesis, `(`, and open brace, `{`, are `.Primitive` functions in R.

Effectively, `(` is semantically equivalent to the identity `function(x) x`, whereas `{` is slightly more interesting, see examples.

### Usage

    ( ... )

    { ... }

### See Also

`if`, `return`, etc for other objects used in the R language itself.

### Examples

    f <- get("(")
    e <- expression(3 + 2 * 4)
    f(e) == e           # TRUE

    do <- get("{")
    do(x_ 3, y_ 2*x-3, 6-x-y); x; y

[Package Contents]